/*
================================================================================
 File: config.h
--------------------------------------------------------------------------------
 Author:        Piotr Wojtowicz
 Purpose:       boot
 Compiler:      ANSI C
 Hardware:
 Doc:
--------------------------------------------------------------------------------
 Includes:
--------------------------------------------------------------------------------
 Comments:                      UWAGA!!!
                Oprogramowanie to udostpnione jest do celw pogldowych,
                nie jest przetestowane pod ktem bezpieczestwa ani spenienia
                jakichkolwiek norm wymaganych aby urzdzenie uywajce go
                mogo by dopuszczone do uytku, dlatego uywasz go
                na wasn odpowiedzialno a jego autor nie ponosi adnego
                typu odpowiedzialnoci za jakiekolwiek skutki jego uycia.
                Jeeli nie zgadzasz si z powyszym warunkiem prosz
                o nieuywanie tego oprogramowania.
================================================================================
*/

#ifndef CONFIG_H_
#define CONFIG_H_


#include <stdint.h>
#include "sections.h"








#define USART1_RTS_PORT						GPIOC
#define USART1_RTS_PIN						GPIO_Pin_6
#define USART1_RTS_PIN_MODE					GPIO_Mode_Out_PP

#define USART1_DTR_PORT						GPIOB
#define USART1_DTR_PIN						GPIO_Pin_15
#define USART1_DTR_PIN_MODE					GPIO_Mode_Out_PP

#define USART1_RING_PORT					GPIOB
#define USART1_RING_PIN						GPIO_Pin_14
#define USART1_RING_PIN_MODE				GPIO_Mode_IPD

#define USART1_DCD_PORT						GPIOB
#define USART1_DCD_PIN						GPIO_Pin_13
#define USART1_DCD_PIN_MODE					GPIO_Mode_IPD

#define USART1_DSR_PORT						GPIOB
#define USART1_DSR_PIN						GPIO_Pin_12
#define USART1_DSR_PIN_MODE					GPIO_Mode_IPD



#define USART2_RTS_PORT						GPIOA
#define USART2_RTS_PIN						GPIO_Pin_1
#define USART2_RTS_PIN_MODE					GPIO_Mode_Out_PP

#define USART2_DTR_PORT						GPIOC
#define USART2_DTR_PIN						GPIO_Pin_0
#define USART2_DTR_PIN_MODE					GPIO_Mode_Out_PP

#define USART2_RING_PORT					GPIOC
#define USART2_RING_PIN						GPIO_Pin_3
#define USART2_RING_PIN_MODE				GPIO_Mode_IPD

#define USART2_DCD_PORT						GPIOC
#define USART2_DCD_PIN						GPIO_Pin_2
#define USART2_DCD_PIN_MODE					GPIO_Mode_IPD

#define USART2_DSR_PORT						GPIOC
#define USART2_DSR_PIN						GPIO_Pin_1
#define USART2_DSR_PIN_MODE					GPIO_Mode_IPD



#define USART3_RTS_PORT						GPIOC
#define USART3_RTS_PIN						GPIO_Pin_4
#define USART3_RTS_PIN_MODE					GPIO_Mode_Out_PP

#define USART3_DTR_PORT						GPIOA
#define USART3_DTR_PIN						GPIO_Pin_7
#define USART3_DTR_PIN_MODE					GPIO_Mode_Out_PP

#define USART3_RING_PORT					GPIOA
#define USART3_RING_PIN						GPIO_Pin_6
#define USART3_RING_PIN_MODE				GPIO_Mode_IPD

#define USART3_DCD_PORT						GPIOA
#define USART3_DCD_PIN						GPIO_Pin_5
#define USART3_DCD_PIN_MODE					GPIO_Mode_IPD

#define USART3_DSR_PORT						GPIOA
#define USART3_DSR_PIN						GPIO_Pin_4
#define USART3_DSR_PIN_MODE					GPIO_Mode_IPD



#endif /* CONFIG_H_ */
